MYSQL(1)

NAME
mysql-workbench - MySQL Database Design, Administration and Development Tool

SYNOPSIS
mysql-workbench [<options>] [<name of a model file or sql script>]

OPTIONS

--force-sw-render
    Force Xlib rendering

--force-opengl-render
    Force OpenGL rendering

--query [<connection>|<connection string>]
    Open a query tab and ask for connection if nothing is specified. If named connection is specified it will be opened, else connection will be created based on the given connection string, which should be in form <user>@<host>:<port>

--admin <instance>
    Open a administration tab to the named instance

--upgrade-mysql-dbs
    Open a migration wizard tab

--model <model file>
    Open the given EER model file

--script <sql file>
    Open the given SQL file in an connection, best in conjunction with a query parameter

--run-script <file>
    Execute Python code from a file

--run <code>
    Execute the given Python code

--run-python <code>
    Execute the given Python code

--migration
    Open the Migration Wizard tab

--quit-when-done
    Quit Workbench when the script is done

--log-to-stderr
    Also log to stderr

--help, -h
    Show command line options and exit

--log-level=<level>
    Valid levels are: error, warning, info, debug1, debug2, debug3

--verbose, -v
    Enable diagnostics output

--version
    Show Workbench version number and exit

--open <file>
    Open the given file at startup (deprecated, use script, model etc.)